using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.SC
{
    /// <summary>
    /// 缺席人员
    /// </summary>
    [Description("缺席人员")]
    public class T_SC_MT_MEETING_PABSENCE : MesEntityBase
    {
        /// <summary>
        /// 会议表纪要
        /// </summary>
        [Description("会议表纪要")]
        [DataFieldForeignKey("Nav_MeetingMinutes", "Nav_ListPAbsence")]
        public Guid MEETING_MINUTES_ID { get; set; }

        /// <summary>
        /// 会议表纪要
        /// </summary>
        [Description("导航：会议表纪要")]
        public virtual T_SC_MT_MEETING_MINUTES Nav_MeetingMinutes { get; set; }

        /// <summary>
        /// 参会人员类型 缺席 30
        /// </summary>
        [Description("参会人员类型")]
        public SCMEETINGPERSONTYPE PERSONTYPE { get; set; } = SCMEETINGPERSONTYPE.ABSENCE;

        /// <summary>
        /// 用户ID
        /// </summary>
        [Description("用户ID")]
        [DataFieldForeignKey("Nav_User")]
        public Guid USER_ID { get; set; }

        /// <summary>
        /// 导航属性：用户ID
        /// </summary>
        [Description("导航属性：用户ID")]
        public virtual T_FM_USER Nav_User { get; set; }

    }
}
